Index: trunk/src/org/expeditee/items/MagneticConstraint/AttractTextAction.java
===================================================================
--- trunk/src/org/expeditee/items/MagneticConstraint/AttractTextAction.java	(revision 1267)
+++ 	(revision )
@@ -1,47 +1,0 @@
-///**
-// *    AttractTextAction.java
-// *    Copyright (C) 2010 New Zealand Digital Library, http://expeditee.org
-// *
-// *    This program is free software: you can redistribute it and/or modify
-// *    it under the terms of the GNU General Public License as published by
-// *    the Free Software Foundation, either version 3 of the License, or
-// *    (at your option) any later version.
-// *
-// *    This program is distributed in the hope that it will be useful,
-// *    but WITHOUT ANY WARRANTY; without even the implied warranty of
-// *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// *    GNU General Public License for more details.
-// *
-// *    You should have received a copy of the GNU General Public License
-// *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-// */
-//
-//package org.expeditee.items.MagneticConstraint;
-//
-//import org.expeditee.items.Item;
-//
-//public class AttractTextAction implements
-//		MagneticConstraintActionWithArguments<Float> {
-//
-//	@Override
-//	public boolean exec(Item item) {
-//		return exec(item, 0f);
-//	}
-//
-//	@Override
-//	public boolean exec(Item item, Float... args) {
-//		if(item.getMagnetizedItemRight() == -1)
-//			return false;
-//		else if (item.getParent().getItemWithID(item.getMagnetizedItemRight()) == null) {
-//			item.setMagnetizedItemRight(null);
-//			return false;
-//		}
-//		else {
-//			final Item toMyRight = item.getParent().getItemWithID(item.getMagnetizedItemRight());
-//			toMyRight.setX(toMyRight.getX() - args[0]);
-//			new AttractTextAction().exec(toMyRight, args);
-//			return true;
-//		}
-//	}
-//
-//}
Index: trunk/src/org/expeditee/items/MagneticConstraint/NextItemDownAction.java
===================================================================
--- trunk/src/org/expeditee/items/MagneticConstraint/NextItemDownAction.java	(revision 1267)
+++ 	(revision )
@@ -1,40 +1,0 @@
-///**
-// *    NextItemDownAction.java
-// *    Copyright (C) 2010 New Zealand Digital Library, http://expeditee.org
-// *
-// *    This program is free software: you can redistribute it and/or modify
-// *    it under the terms of the GNU General Public License as published by
-// *    the Free Software Foundation, either version 3 of the License, or
-// *    (at your option) any later version.
-// *
-// *    This program is distributed in the hope that it will be useful,
-// *    but WITHOUT ANY WARRANTY; without even the implied warranty of
-// *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// *    GNU General Public License for more details.
-// *
-// *    You should have received a copy of the GNU General Public License
-// *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-// */
-//
-//package org.expeditee.items.MagneticConstraint;
-//
-//import org.expeditee.gui.DisplayIO;
-//import org.expeditee.items.Item;
-//
-//public class NextItemDownAction implements MagneticConstraintAction {
-//
-//	@Override
-//	public boolean exec(Item item) {
-//		final Item below = item.getParent().getItemWithID(
-//				item.getMagnetizedItemBottom());
-//		return moveCursor(below);
-//	}
-//
-//	private boolean moveCursor(final Item toMoveTo) {
-//		if (toMoveTo == null)
-//			return false;
-//		DisplayIO.setCursorPosition(toMoveTo.getPosition(), true);
-//		return true;
-//	}
-//
-//}
Index: trunk/src/org/expeditee/items/MagneticConstraint/NextItemToLeftAction.java
===================================================================
--- trunk/src/org/expeditee/items/MagneticConstraint/NextItemToLeftAction.java	(revision 1267)
+++ 	(revision )
@@ -1,51 +1,0 @@
-///**
-// *    NextItemToLeftAction.java
-// *    Copyright (C) 2010 New Zealand Digital Library, http://expeditee.org
-// *
-// *    This program is free software: you can redistribute it and/or modify
-// *    it under the terms of the GNU General Public License as published by
-// *    the Free Software Foundation, either version 3 of the License, or
-// *    (at your option) any later version.
-// *
-// *    This program is distributed in the hope that it will be useful,
-// *    but WITHOUT ANY WARRANTY; without even the implied warranty of
-// *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// *    GNU General Public License for more details.
-// *
-// *    You should have received a copy of the GNU General Public License
-// *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-// */
-//
-//package org.expeditee.items.MagneticConstraint;
-//
-//import java.awt.Font;
-//import java.awt.Point;
-//
-//import org.expeditee.gui.Browser;
-//import org.expeditee.gui.DisplayIO;
-//import org.expeditee.gui.FrameGraphics;
-//import org.expeditee.items.Item;
-//import org.expeditee.items.Text;
-//
-//public class NextItemToLeftAction implements MagneticConstraintAction {
-//
-//	@Override
-//	public boolean exec(final Item item) {
-//		final Item toLeft = item.getParent().getItemWithID(item.getMagnetizedItemLeft());
-//		return moveCursor(toLeft);
-//	}
-//	
-//	private boolean moveCursor(final Item toMoveTo) {
-//		if(toMoveTo == null) return false;
-//		if(toMoveTo instanceof Text) {
-//			final Text asText = (Text) toMoveTo;
-//			final Font font = asText.getFont();
-//			final int indent = Browser._theBrowser.g.getFontMetrics(font).stringWidth(asText.getText().substring(0, asText.getText().length() - 1));
-//			final Point position = toMoveTo.getPosition();
-//			DisplayIO.setCursorPosition(position.x + indent, position.y, false);
-//			FrameGraphics.refresh(false);
-//		} else DisplayIO.setCursorPosition(toMoveTo.getPosition(), false);
-//		return true;
-//	}
-//
-//}
Index: trunk/src/org/expeditee/items/MagneticConstraint/NextItemToRightAction.java
===================================================================
--- trunk/src/org/expeditee/items/MagneticConstraint/NextItemToRightAction.java	(revision 1267)
+++ 	(revision )
@@ -1,49 +1,0 @@
-///**
-// *    NextItemToRightAction.java
-// *    Copyright (C) 2010 New Zealand Digital Library, http://expeditee.org
-// *
-// *    This program is free software: you can redistribute it and/or modify
-// *    it under the terms of the GNU General Public License as published by
-// *    the Free Software Foundation, either version 3 of the License, or
-// *    (at your option) any later version.
-// *
-// *    This program is distributed in the hope that it will be useful,
-// *    but WITHOUT ANY WARRANTY; without even the implied warranty of
-// *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// *    GNU General Public License for more details.
-// *
-// *    You should have received a copy of the GNU General Public License
-// *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-// */
-//
-//package org.expeditee.items.MagneticConstraint;
-//
-//import java.awt.*;
-//
-//import org.expeditee.gui.Browser;
-//import org.expeditee.gui.DisplayIO;
-//import org.expeditee.gui.FrameGraphics;
-//import org.expeditee.items.*;
-//
-//public class NextItemToRightAction implements MagneticConstraintAction {
-//
-//	@Override
-//	public boolean exec(final Item item) {
-//		final Item toRight = item.getParent().getItemWithID(item.getMagnetizedItemRight());
-//		return moveCursor(toRight);
-//	}
-//	
-//	private boolean moveCursor(final Item toMoveTo) {
-//		if(toMoveTo == null) return false;
-//		if(toMoveTo instanceof Text) {
-//			final Text asText = (Text) toMoveTo;
-//			final Font font = asText.getFont();
-//			final int indent = Browser._theBrowser.g.getFontMetrics(font).charWidth(asText.getText().charAt(0));
-//			final Point position = toMoveTo.getPosition();
-//			DisplayIO.setCursorPosition(position.x + indent, position.y, false);
-//			FrameGraphics.refresh(false);
-//		} else DisplayIO.setCursorPosition(toMoveTo.getPosition(), false);
-//		return true;
-//	}
-//
-//}
Index: trunk/src/org/expeditee/items/MagneticConstraint/NextItemUpAction.java
===================================================================
--- trunk/src/org/expeditee/items/MagneticConstraint/NextItemUpAction.java	(revision 1267)
+++ 	(revision )
@@ -1,51 +1,0 @@
-///**
-// *    NextItemUpAction.java
-// *    Copyright (C) 2010 New Zealand Digital Library, http://expeditee.org
-// *
-// *    This program is free software: you can redistribute it and/or modify
-// *    it under the terms of the GNU General Public License as published by
-// *    the Free Software Foundation, either version 3 of the License, or
-// *    (at your option) any later version.
-// *
-// *    This program is distributed in the hope that it will be useful,
-// *    but WITHOUT ANY WARRANTY; without even the implied warranty of
-// *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// *    GNU General Public License for more details.
-// *
-// *    You should have received a copy of the GNU General Public License
-// *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-// */
-//
-//package org.expeditee.items.MagneticConstraint;
-//
-//import java.awt.Font;
-//import java.awt.Point;
-//
-//import org.expeditee.gui.Browser;
-//import org.expeditee.gui.DisplayIO;
-//import org.expeditee.gui.FrameGraphics;
-//import org.expeditee.items.*;
-//
-//public class NextItemUpAction implements MagneticConstraintAction {
-//
-//	@Override
-//	public boolean exec(final Item item) {
-//		final Item above = item.getParent().getItemWithID(
-//				item.getMagnetizedItemTop());
-//		return moveCursor(above);
-//	}
-//
-//	private boolean moveCursor(final Item toMoveTo) {
-//		if (toMoveTo == null)
-//			return false;
-//		if(toMoveTo instanceof Text) {
-//			final Text asText = (Text)toMoveTo;
-//			final Font font = asText.getFont();
-//			final int indent = Browser._theBrowser.g.getFontMetrics(font).stringWidth(asText.getText().substring(0, asText.getText().length() - 1));
-//			final Point position = toMoveTo.getPosition();
-//			DisplayIO.setCursorPosition(position.x + indent, position.y, false);
-//			FrameGraphics.refresh(false);
-//		} else DisplayIO.setCursorPosition(toMoveTo.getPosition(), true);
-//		return true;
-//	}
-//}
Index: trunk/src/org/expeditee/items/MagneticConstraint/RepelTextAction.java
===================================================================
--- trunk/src/org/expeditee/items/MagneticConstraint/RepelTextAction.java	(revision 1267)
+++ 	(revision )
@@ -1,53 +1,0 @@
-///**
-// *    RepelTextAction.java
-// *    Copyright (C) 2010 New Zealand Digital Library, http://expeditee.org
-// *
-// *    This program is free software: you can redistribute it and/or modify
-// *    it under the terms of the GNU General Public License as published by
-// *    the Free Software Foundation, either version 3 of the License, or
-// *    (at your option) any later version.
-// *
-// *    This program is distributed in the hope that it will be useful,
-// *    but WITHOUT ANY WARRANTY; without even the implied warranty of
-// *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// *    GNU General Public License for more details.
-// *
-// *    You should have received a copy of the GNU General Public License
-// *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
-// */
-//
-//package org.expeditee.items.MagneticConstraint;
-//
-//import org.expeditee.items.Item;
-//
-//public class RepelTextAction implements
-//		MagneticConstraintActionWithArguments<Float> {
-//
-//	@Override
-//	public boolean exec(final Item item) {
-//		return exec(item, 0f);
-//	}
-//
-//	@Override
-//	public boolean exec(final Item item, final Float... args) {
-//		if (item.getMagnetizedItemRight() == -1)
-//			return false;
-//		else if (item.getParent().getItemWithID(item.getMagnetizedItemRight()) == null) {
-//			item.setMagnetizedItemRight(null);
-//			return false;
-//		} else {
-//			final Item toMyRight = item.getParent().getItemWithID(
-//					item.getMagnetizedItemRight());
-//			System.err.println("Growing x: " + item.getX());
-//			System.err.println("Growing width: " + item.getBoundsWidth());
-//			System.err.println("Growing by: " + args[0]);
-//			System.err.println("To My Right X: " + toMyRight.getX());
-//			if(item.getX() + item.getBoundsWidth() + args[0] >= toMyRight.getX()) {
-//				toMyRight.setX(toMyRight.getX() + args[0]);
-//				new RepelTextAction().exec(toMyRight, args);
-//				return true;
-//			} else return false;
-//		}
-//	}
-//
-//}