Index: /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp
===================================================================
--- /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp	(revision 1300)
+++ /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp	(revision 1301)
@@ -1,14 +1,44 @@
-V 752
+V 779
 U authadmin
 D 23Nov2018[12:31]
-M nobody
-d 21Mar2019[12:21]
+M authadmin
+d 11Apr2019[11:34]
 B 100 100 39 100
 Z
+
+S T 443
+s 23Nov2018[12:57.52]
+d 0 0 0 100
+P 105 65
+T Secure Expeditee:
+N 30
+o authadmin
+v S
+f Metamorphous_r36
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+p 40
+
+S T 1673
+s 11Apr2019[10:05.52]
+d 0 0 0 100
+P 20 104
+T 🔒
+N 30
+o authadmin
+v S
+f tr74
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+p 40
 
 S P 416
 s 23Nov2018[12:54.20]
 d 70 70 0 100
-P 1652 64
+P 980 64
 e 100 100 50 100
 H 15
@@ -18,10 +48,10 @@
 p 41
 
-S T 443
-s 23Nov2018[12:57.52]
+S T 1670
+s 11Apr2019[10:03.42]
 d 0 0 0 100
-P 20 95
-T Expeditee: Sleek like Aphroditē–Wise like Athēnâ.
-N 60
+P 105 115
+T Sleek like Aphroditē–Wise like Athēnâ.
+N 80
 o authadmin
 v S
@@ -36,6 +66,7 @@
 s 12Feb2019[12:25.05]
 d 0 0 0 100
-P 355 170
+P 364 185
 T Login to Expeditee
+N 150
 o authadmin
 v S
@@ -52,9 +83,9 @@
 G 100 100 100 100
 K 0 0 0 100
-P 368 328
-T authadmin
+P 350 288
+T 
 x F
 D txtUsername
-N 300
+N 260
 o authadmin
 n F
@@ -64,28 +95,8 @@
 b 0.0
 m 0.0
-M 500
+M 300
 h 1.0
 p 44
-
-S T 1242
-s 10Dec2018[11:05.00]
-d 0 0 0 100
-K 0 0 0 100
-P 152 328
-T Username: 
-X AuthorisationState 2
-x F
-R 150
-N 300
-o authadmin
-n F
-v S
-f Amaranth_r29
-t -1.0
-b 0.0
-m 0.0
-M 200
-h 0.0
-p 40
+= Username
 
 S T 1291
@@ -94,9 +105,9 @@
 G 100 100 100 100
 K 0 0 0 100
-P 368 393
-T qwerty
+P 350 348
+T 
 x F
 D txtPassword
-N 365
+N 320
 o authadmin
 n F
@@ -107,28 +118,8 @@
 b 0.0
 m 0.0
-M 500
+M 300
 h 1.0
 p 44
-
-S T 1248
-s 10Dec2018[11:06.13]
-d 0 0 0 100
-K 0 0 0 100
-P 152 393
-T Password:
-X AuthorisationState 2
-x F
-R 150
-N 365
-o authadmin
-n F
-v S
-f Amaranth_r29
-t -1.0
-b 0.0
-m 0.0
-M 200
-h 0.0
-p 40
+= Password
 
 S T 1374
@@ -137,10 +128,9 @@
 G 100 100 0 100
 K 0 0 0 100
-P 350 459
-T     Log In To Expeditee   
+P 394 409
+T         Log In
 X AuthLogin
 x F
-R 348
-N 430
+N 380
 o authadmin
 n F
@@ -150,5 +140,5 @@
 b 0.0
 m 0.0
-M 300
+M 205
 h 1.0
 p 41
@@ -159,9 +149,9 @@
 G 100 100 0 100
 K 0 0 0 100
-P 176 831
-T       I Am New To Expeditee
+P 407 461
+T      New Account
 F 2
 x F
-I 44
+N 440
 o authadmin
 n F
@@ -171,5 +161,5 @@
 b 0.0
 m 0.0
-M 300
+M 180
 h 1.0
 p 41
@@ -180,8 +170,8 @@
 G 100 100 0 100
 K 0 0 0 100
-P 494 831
-T  I Have Forgotten My Password
+P 407 511
+T  Forgot Password?
 x F
-I 44
+N 490
 o authadmin
 n F
@@ -191,5 +181,5 @@
 b 0.0
 m 0.0
-M 300
+M 180
 h 1.0
 p 41
@@ -201,35 +191,9 @@
 Z
 
-ActiveTime:10346661:43:54
-DarkTime:-10343315:-2:-53
-22:05:042 385 316 Ld
-22:05:274 385 316 Rd
-22:05:396 385 316 Ru
-22:05:396 385 316 Lu
-22:06:599 382 245 Md
-22:06:914 382 245 Rd
-22:07:182 382 245 Ru
-22:07:446 382 245 Mu
-22:07:461 382 245 Md
-22:07:561 382 245 Mu
-22:08:972 502 250 Md
-22:09:104 502 250 Mu
-22:09:546 441 248 Md
-22:09:646 441 248 Rd
-22:09:746 441 248 Ru
-22:09:806 441 248 Mu
-22:12:578 1004 232 kSHIFT
-22:12:850 1004 232 kP
-22:13:035 1013 232 kE
-22:13:104 1021 232 kR
-22:13:205 1028 232 kM
-22:13:304 1042 232 kI
-22:13:386 1047 232 kS
-22:13:536 1054 232 kS
-22:13:636 1061 232 kI
-22:13:684 1066 232 kO
-22:13:768 1075 232 kN
-22:13:858 1084 232 kSHIFT
-22:59:425 1034 221 Md
-22:59:529 1034 221 Mu
-23:00:840 1010 391 kRIGHT_ARROW
+ActiveTime:12074366:31:20
+DarkTime:-12070084:-45:-37
+34:55:929 494 283 kBACKSPACE
+34:56:096 390 288 kBACKSPACE
+34:56:248 373 288 kBACKSPACE
+34:56:479 365 288 kBACKSPACE
+34:59:960 779 471 kRIGHT_ARROW
Index: /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp
===================================================================
--- /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp	(revision 1300)
+++ /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp	(revision 1301)
@@ -1,16 +1,15 @@
-V 215
+V 244
 U authadmin
 D 07Dec2018[12:19]
 M authadmin
-d 21Mar2019[12:23]
+d 11Apr2019[11:34]
 B 100 100 39 100
 Z
 
-S T 731
-s 12Feb2019[12:31.05]
-d 0 0 0 100
-P 20 95
-T Expeditee: Sleek like Aphroditē–Wise like Athēnâ.
-N 60
+S T 757
+s 11Apr2019[10:56.20]
+d 0 0 0 100
+P 105 65
+T Secure Expeditee:
 o authadmin
 v S
@@ -22,9 +21,38 @@
 p 40
 
-S T 741
-s 12Feb2019[12:31.40]
-d 0 0 0 100
-P 283 140
+S T 758
+s 11Apr2019[10:56.20]
+d 0 0 0 100
+P 20 104
+T 🔒
+o authadmin
+v S
+f tr74
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+p 40
+
+S T 759
+s 11Apr2019[10:56.20]
+d 0 0 0 100
+P 105 115
+T Sleek like Aphroditē–Wise like Athēnâ.
+o authadmin
+v S
+f Metamorphous_r36
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+p 40
+
+S T 760
+s 11Apr2019[10:56.20]
+d 0 0 0 100
+P 280 185
 T Create an Expeditee Account
+N 150
 o authadmin
 v S
@@ -35,43 +63,4 @@
 h -1.0
 p 40
-
-S T 84
-s 10Dec2018[12:06.59]
-d 0 0 0 100
-K 0 0 0 100
-P 149 187
-T Username: 
-X AuthorisationState 2
-x F
-o authadmin
-n F
-v S
-f Amaranth_r29
-t -1.0
-b 0.0
-m 0.0
-M 200
-h 0.0
-p 40
-
-S T 108
-s 10Dec2018[12:07.08]
-d 0 0 0 100
-G 100 100 100 100
-K 0 0 0 100
-P 376 187
-T BryceTwo
-x F
-D txtUsername
-o authadmin
-n F
-v S
-f Amaranth_r29
-t -1.0
-b 0.0
-m 0.0
-M 500
-h 1.0
-p 44
 
 S P 85
@@ -93,4 +82,26 @@
 h 2.0
 
+S T 108
+s 10Dec2018[12:07.08]
+d 0 0 0 100
+G 100 100 100 100
+K 0 0 0 100
+P 175 288
+T 
+x F
+D txtUsername
+N 260
+o authadmin
+n F
+v S
+f Amaranth_r29
+t -1.0
+b 0.0
+m 0.0
+M 300
+h 1.0
+p 44
+= Username
+
 S T 111
 s 10Dec2018[12:07.08]
@@ -98,8 +109,9 @@
 G 100 100 100 100
 K 0 0 0 100
-P 376 252
-T qwerty
+P 175 348
+T 
 x F
 D txtPassword
+N 320
 o authadmin
 n F
@@ -110,45 +122,8 @@
 b 0.0
 m 0.0
-M 500
-h 1.0
-p 44
-
-S T 86
-s 10Dec2018[12:06.59]
-d 0 0 0 100
-K 0 0 0 100
-P 149 252
-T Password:
-X AuthorisationState 2
-x F
-o authadmin
-n F
-v S
-f Amaranth_r29
-t -1.0
-b 0.0
-m 0.0
-M 200
-h 0.0
-p 40
-
-S T 125
-s 10Dec2018[12:07.23]
-d 0 0 0 100
-K 0 0 0 100
-P 149 318
-T Password Again:
-X AuthorisationState 2
-x F
-o authadmin
-n F
-v S
-f Amaranth_r29
-t -1.0
-b 0.0
-m 0.0
-M 200
-h 0.0
-p 40
+M 300
+h 1.0
+p 44
+= Password
 
 S T 130
@@ -157,8 +132,9 @@
 G 100 100 100 100
 K 0 0 0 100
-P 376 318
-T qwerty
+P 515 348
+T 
 x F
 D txtPasswordAgain
+N 320
 o authadmin
 n F
@@ -169,7 +145,8 @@
 b 0.0
 m 0.0
-M 500
-h 1.0
-p 44
+M 300
+h 1.0
+p 44
+= Password Again
 
 S T 671
@@ -178,37 +155,20 @@
 G 100 100 100 100
 K 0 0 0 100
-P 376 385
-T bnemhauser@gmail.com
+P 175 408
+T 
 x F
 D txtEmail
-o authadmin
-n F
-v S
-f Amaranth_r29
-t -1.0
-b 0.0
-m 0.0
-M 500
-h 1.0
-p 44
-
-S T 725
-s 11Feb2019[13:58.05]
-d 0 0 0 100
-K 0 0 0 100
-P 149 385
-T Public Email:
-X AuthorisationState 2
-x F
-o authadmin
-n F
-v S
-f Amaranth_r29
-t -1.0
-b 0.0
-m 0.0
-M 200
-h 0.0
-p 40
+N 380
+o authadmin
+n F
+v S
+f Amaranth_r29
+t -1.0
+b 0.0
+m 0.0
+M 300
+h 1.0
+p 44
+= Email
 
 S T 672
@@ -217,37 +177,20 @@
 G 100 100 100 100
 K 0 0 0 100
-P 376 453
-T bnemhauser@gmail.com
+P 515 408
+T 
 x F
 D txtEmailAgain
-o authadmin
-n F
-v S
-f Amaranth_r29
-t -1.0
-b 0.0
-m 0.0
-M 500
-h 1.0
-p 44
-
-S T 730
-s 11Feb2019[13:58.08]
-d 0 0 0 100
-K 0 0 0 100
-P 149 453
-T Email Again:
-X AuthorisationState 2
-x F
-o authadmin
-n F
-v S
-f Amaranth_r29
-t -1.0
-b 0.0
-m 0.0
-M 200
-h 0.0
-p 40
+N 380
+o authadmin
+n F
+v S
+f Amaranth_r29
+t -1.0
+b 0.0
+m 0.0
+M 300
+h 1.0
+p 44
+= Email Again
 
 S T 190
@@ -256,8 +199,9 @@
 G 100 100 0 100
 K 0 0 0 100
-P 316 516
-T   Create Expeditee Account   
+P 394 469
+T Create Account
 X AuthCreateAccount
 x F
+N 440
 o authadmin
 n F
@@ -267,5 +211,5 @@
 b 0.0
 m 0.0
-M 300
+M 205
 h 1.0
 p 41
@@ -276,9 +220,9 @@
 G 100 100 0 100
 K 0 0 0 100
-P 176 831
-T           Log In To Expeditee
+P 407 521
+T            Log In
 F 1
 x F
-I 44
+N 500
 o authadmin
 n F
@@ -288,5 +232,5 @@
 b 0.0
 m 0.0
-M 300
+M 180
 h 1.0
 p 41
@@ -297,8 +241,8 @@
 G 100 100 0 100
 K 0 0 0 100
-P 494 831
-T  I Have Forgotten My Password
-x F
-I 44
+P 407 571
+T  Forgot Password?
+x F
+N 550
 o authadmin
 n F
@@ -308,5 +252,5 @@
 b 0.0
 m 0.0
-M 300
+M 180
 h 1.0
 p 41
@@ -318,15 +262,31 @@
 Z
 
-ActiveTime:00:51:49
-DarkTime:01:12:18
-23:01:763 439 164 Rd
-23:01:873 439 164 Ru
-23:02:458 432 239 Rd
-23:02:601 432 239 Ru
-23:03:169 430 297 Rd
-23:03:297 430 297 Ru
-23:03:746 437 385 Rd
-23:03:904 437 385 Ru
-23:04:483 432 430 Rd
-23:04:601 430 431 Ru
-23:05:346 1131 248 kRIGHT_ARROW
+ActiveTime:01:10:15
+DarkTime:01:31:57
+34:34:688 116 263 Ld
+34:34:815 116 263 Lu
+34:35:899 105 266 Md
+34:35:983 105 266 Rd
+34:36:111 105 266 Ru
+34:36:150 105 266 Mu
+34:38:729 470 453 Md
+34:38:823 470 453 Rd
+34:39:022 470 453 Ru
+34:39:038 470 453 Mu
+34:40:839 459 469 Ld
+34:40:910 459 469 Rd
+34:41:033 459 469 Ru
+34:41:039 459 469 Lu
+34:44:017 585 255 Md
+34:44:128 585 255 Rd
+34:44:230 585 255 Ru
+34:44:254 585 255 Mu
+34:47:223 223 271 Ld
+34:47:343 223 271 Rd
+34:47:470 223 271 Lu
+34:47:487 223 271 Ru
+34:49:807 716 237 Md
+34:49:830 716 237 Rd
+34:50:054 716 237 Ru
+34:50:079 716 237 Mu
+34:50:598 829 339 kLEFT_ARROW