Index: trunk/src/org/expeditee/actions/Debug.java
===================================================================
--- trunk/src/org/expeditee/actions/Debug.java	(revision 1303)
+++ trunk/src/org/expeditee/actions/Debug.java	(revision 1304)
@@ -131,11 +131,11 @@
 	
 	public static void FrameCreatorTest() {
-		FrameCreator creator = new FrameCreator("testFrameset", FrameIO.FRAME_PATH, "TestFrameset", FrameCreator.ExistingFramesetOptions.AppendSegregatedFrames, false);
+		FrameCreator creator = new FrameCreator("testFrameset", FrameIO.FRAME_PATH, "TestFrameset", FrameCreator.ExistingFramesetOptions.AppendSegregatedFrames, false, null);
 		creator.addText("Test1", Colour.CYAN, null, null, true);
 		
-		creator = new FrameCreator("testFrameset", FrameIO.FRAME_PATH, "TestFrameset", FrameCreator.ExistingFramesetOptions.AppendSegregatedFrames, false);
+		creator = new FrameCreator("testFrameset", FrameIO.FRAME_PATH, "TestFrameset", FrameCreator.ExistingFramesetOptions.AppendSegregatedFrames, false, null);
 		creator.addText("Test2", Colour.CYAN, null, null, true);
 		
-		creator = new FrameCreator("testFrameset", FrameIO.FRAME_PATH, "TestFrameset", FrameCreator.ExistingFramesetOptions.OverrideExistingFrames, false);
+		creator = new FrameCreator("testFrameset", FrameIO.FRAME_PATH, "TestFrameset", FrameCreator.ExistingFramesetOptions.OverrideExistingFrames, false, null);
 		creator.addText("Test3", Colour.CYAN, null, null, true);
 	}
Index: trunk/src/org/expeditee/agents/SearchAgent.java
===================================================================
--- trunk/src/org/expeditee/agents/SearchAgent.java	(revision 1303)
+++ trunk/src/org/expeditee/agents/SearchAgent.java	(revision 1304)
@@ -98,5 +98,5 @@
 				+ "]"+getResultsTitleSuffix();
 		_results = new FrameCreator(resultsFrameset, FrameIO.FRAME_PATH, title,
-				FrameCreator.ExistingFramesetOptions.AppendSegregatedFrames, true);
+				FrameCreator.ExistingFramesetOptions.AppendSegregatedFrames, true, null);
 		// Set the frame to be displayed after running the agent
 		_end = _results.getFirstFrame();
Index: trunk/src/org/expeditee/agents/mail/MailSession.java
===================================================================
--- trunk/src/org/expeditee/agents/mail/MailSession.java	(revision 1303)
+++ trunk/src/org/expeditee/agents/mail/MailSession.java	(revision 1304)
@@ -527,5 +527,5 @@
 					final FrameCreator frames = new FrameCreator(frame
 							.getFramesetName(), frame.getPath(), subject,
-							FrameCreator.ExistingFramesetOptions.AppendSegregatedFrames, false);
+							FrameCreator.ExistingFramesetOptions.AppendSegregatedFrames, false, null);
 
 					frames.addText("@date: " + message.getSentDate(), null,
Index: trunk/src/org/expeditee/auth/Actions.java
===================================================================
--- trunk/src/org/expeditee/auth/Actions.java	(revision 1303)
+++ trunk/src/org/expeditee/auth/Actions.java	(revision 1304)
@@ -174,5 +174,5 @@
 			
 			createAccount(userData);
-			login(userData);
+			Authenticate.login(userData);
 			AuthenticatorBrowser.Authenticated = true;
 		} else {
@@ -439,5 +439,5 @@
 			f.setChanged(true);
 			if (f.getNumber() != AuthenticatorBrowser.CREDENTIALS_FRAME) {
-				f.setEncryptionLabel("Profile");
+				f.setEncryptionLabel(AuthenticatorBrowser.PROFILEENCRYPTIONLABEL);
 			}
 			Collection<Item> secretsLink = getByContent(f, "Secrets");
Index: trunk/src/org/expeditee/auth/AuthenticatorBrowser.java
===================================================================
--- trunk/src/org/expeditee/auth/AuthenticatorBrowser.java	(revision 1303)
+++ trunk/src/org/expeditee/auth/AuthenticatorBrowser.java	(revision 1304)
@@ -74,4 +74,5 @@
 	public static int CREDENTIALS_FRAME = -1;
 	public static final String ADMINACCOUNT = "authadmin";
+	public static final String PROFILEENCRYPTIONLABEL = "Profile";
 	
 	public static boolean Authenticated = false;
Index: trunk/src/org/expeditee/auth/gui/MailBay.java
===================================================================
--- trunk/src/org/expeditee/auth/gui/MailBay.java	(revision 1303)
+++ trunk/src/org/expeditee/auth/gui/MailBay.java	(revision 1304)
@@ -5,4 +5,5 @@
 import java.util.Map;
 
+import org.expeditee.auth.AuthenticatorBrowser;
 import org.expeditee.core.Clip;
 import org.expeditee.core.Colour;
@@ -100,5 +101,5 @@
 		if (_creator == null || _forUser != UserSettings.UserName.get()) {
 			_forUser = UserSettings.UserName.get();
-			_creator = new FrameCreator(EXPEDITEE_MAIL_FRAMESET_NAME, FrameIO.MAIL_PATH, EXPEDITEE_MAIL_FRAMESET_NAME, FrameCreator.ExistingFramesetOptions.AppendAfterLastItem, false);
+			_creator = new FrameCreator(EXPEDITEE_MAIL_FRAMESET_NAME, FrameIO.MAIL_PATH, EXPEDITEE_MAIL_FRAMESET_NAME, FrameCreator.ExistingFramesetOptions.AppendAfterLastItem, false, AuthenticatorBrowser.PROFILEENCRYPTIONLABEL);
 		}
 				
Index: trunk/src/org/expeditee/gui/FrameCreator.java
===================================================================
--- trunk/src/org/expeditee/gui/FrameCreator.java	(revision 1303)
+++ trunk/src/org/expeditee/gui/FrameCreator.java	(revision 1304)
@@ -81,10 +81,13 @@
 	private final List<Frame> framesCreated = new LinkedList<Frame>();
 
+	private String encryptionLabel;
+
 	public FrameCreator(String frameTitle) {
 		this(DisplayController.getCurrentFrame().getFramesetName(), DisplayController.getCurrentFrame().getPath(),
-				frameTitle, ExistingFramesetOptions.AppendSegregatedFrames, false);
-	}
-
-	public FrameCreator(String framesetName, String path, String frameTitle, ExistingFramesetOptions establishState, boolean multiColumn) {
+				frameTitle, ExistingFramesetOptions.AppendSegregatedFrames, false, null);
+	}
+
+	public FrameCreator(String framesetName, String path, String frameTitle, ExistingFramesetOptions establishState, boolean multiColumn, String encryptionLabel) {
+		this.encryptionLabel = encryptionLabel;
 		switch (establishState) {
 			case OverrideExistingFrames:
@@ -168,4 +171,8 @@
 				toUse = FrameIO.CreateFrameset(framesetName, path.toAbsolutePath().toString() + File.separator, true);
 			}
+			
+			if (encryptionLabel != null && encryptionLabel.length() > 0) {
+				toUse.setEncryptionLabel(encryptionLabel);
+			}
 		
 			this.framesCreated.add(toUse);
@@ -243,4 +250,8 @@
 			// add link to new frame
 			addFirstButton(newFrame, _firstFrame.getName());
+			
+			if (encryptionLabel != null && encryptionLabel.length() > 0) {
+				newFrame.setEncryptionLabel(encryptionLabel);
+			}
 
 			FrameIO.SaveFrame(_current, false);
Index: trunk/src/org/expeditee/gui/MessageBay.java
===================================================================
--- trunk/src/org/expeditee/gui/MessageBay.java	(revision 1303)
+++ trunk/src/org/expeditee/gui/MessageBay.java	(revision 1304)
@@ -227,6 +227,11 @@
 	public static void updateFramesetLocation() {
 		if (_forUser != UserSettings.UserName.get()) {
-			_creator = new FrameCreator(MESSAGES_FRAMESET_NAME, FrameIO.MESSAGES_PATH, MESSAGES_FRAMESET_NAME, FrameCreator.ExistingFramesetOptions.OverrideExistingFrames,
-					false);
+			if (AuthenticatorBrowser.isAuthenticated()) {
+				_creator = new FrameCreator(MESSAGES_FRAMESET_NAME, FrameIO.MESSAGES_PATH, MESSAGES_FRAMESET_NAME, FrameCreator.ExistingFramesetOptions.OverrideExistingFrames,
+						false, AuthenticatorBrowser.PROFILEENCRYPTIONLABEL);
+			} else {
+				_creator = new FrameCreator(MESSAGES_FRAMESET_NAME, FrameIO.MESSAGES_PATH, MESSAGES_FRAMESET_NAME, FrameCreator.ExistingFramesetOptions.OverrideExistingFrames,
+						false, null);
+			}
 			_forUser = UserSettings.UserName.get();
 		}
@@ -277,6 +282,11 @@
 
 		if (_creator == null) {
-			_creator = new FrameCreator(MESSAGES_FRAMESET_NAME, FrameIO.MESSAGES_PATH, MESSAGES_FRAMESET_NAME, FrameCreator.ExistingFramesetOptions.OverrideExistingFrames,
-					false);
+			if (AuthenticatorBrowser.isAuthenticated()) {
+				_creator = new FrameCreator(MESSAGES_FRAMESET_NAME, FrameIO.MESSAGES_PATH, MESSAGES_FRAMESET_NAME, FrameCreator.ExistingFramesetOptions.OverrideExistingFrames,
+						false, AuthenticatorBrowser.PROFILEENCRYPTIONLABEL);
+			} else {
+				_creator = new FrameCreator(MESSAGES_FRAMESET_NAME, FrameIO.MESSAGES_PATH, MESSAGES_FRAMESET_NAME, FrameCreator.ExistingFramesetOptions.OverrideExistingFrames,
+						false, null);
+			}
 			_forUser = UserSettings.UserName.get();
 		}
Index: trunk/src/org/expeditee/settings/Settings.java
===================================================================
--- trunk/src/org/expeditee/settings/Settings.java	(revision 1303)
+++ trunk/src/org/expeditee/settings/Settings.java	(revision 1304)
@@ -238,5 +238,5 @@
 	private static void generateSettingsTree(String page, Text text) {
 		Frame parent = text.getParentOrCurrentFrame();
-		FrameCreator frames = new FrameCreator(parent.getFramesetName(), parent.getPath(), page, FrameCreator.ExistingFramesetOptions.AppendSegregatedFrames, false);
+		FrameCreator frames = new FrameCreator(parent.getFramesetName(), parent.getPath(), page, FrameCreator.ExistingFramesetOptions.AppendSegregatedFrames, false, null);
 		text.setLink(frames.getName());
 		