Index: trunk/src/org/expeditee/assets/resources-private/framesets/home/1.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-private/framesets/home/1.exp	(revision 1305)
+++ trunk/src/org/expeditee/assets/resources-private/framesets/home/1.exp	(revision 1306)
@@ -1,7 +1,7 @@
-V 74
+V 93
 U davidb
 D 17Nov2015[09:35]
-M davidb
-d 21Apr2016[12:02]
+M bryce
+d 12Apr2019[12:49]
 Z
 
@@ -10,5 +10,4 @@
 P 45 5
 T @i: expediteeicon128.png 263
-Q 0
 o davidb
 v S
@@ -24,6 +23,5 @@
 P 5 70
 e 100 100 50 100
-Q 0
-R 5.0
+R 5
 o davidb
 v S
@@ -35,8 +33,7 @@
 s 17Nov2015[09:35.54]
 d 70 70 0 100
-P 1903 70
+P 991 70
 e 100 100 50 100
-Q 0
-H 5.0
+H 5
 o davidb
 v S
@@ -49,5 +46,4 @@
 P 317 83
 T Expeditee
-Q 0
 o davidb
 v S
@@ -64,5 +60,4 @@
 T then let Expeditee be the godess of
 T Getting Things Done”
-Q 0
 o davidb
 v S
@@ -78,6 +73,5 @@
 P 5 237
 e 100 100 50 100
-Q 0
-R 5.0
+R 5
 o davidb
 v S
@@ -89,8 +83,7 @@
 s 17Nov2015[09:35.54]
 d 70 70 0 100
-P 1903 237
+P 991 237
 e 100 100 50 100
-Q 0
-H 5.0
+H 5
 o davidb
 v S
@@ -103,5 +96,4 @@
 P 323 286
 T –Rob Akscyn, Inventor of Expeditee
-Q 0
 o davidb
 v S
@@ -117,5 +109,4 @@
 P 410 393
 e 100 100 70 100
-Q 0
 o davidb
 v S
@@ -129,5 +120,4 @@
 P 607 393
 e 100 100 70 100
-Q 0
 o davidb
 v S
@@ -142,5 +132,4 @@
 T Tutorial
 F tutorialshomenew1
-Q 0
 o davidb
 v S
@@ -157,5 +146,4 @@
 T Settings
 X GotoSettings
-Q 0
 o davidb
 v S
@@ -172,5 +160,4 @@
 T Help
 F documentation1
-Q 0
 o davidb
 v S
@@ -187,5 +174,4 @@
 T Apps
 F 3
-Q 0
 o davidb
 v S
@@ -202,5 +188,4 @@
 T Documents
 F mydocuments1
-Q 0
 o davidb
 v S
@@ -217,5 +202,4 @@
 T Pictures
 F mypictures1
-Q 0
 o davidb
 v S
@@ -232,5 +216,4 @@
 T Music
 F mymusic1
-Q 0
 o davidb
 v S
@@ -246,5 +229,4 @@
 P 16 584
 e 100 100 70 100
-Q 0
 o davidb
 v S
@@ -258,5 +240,4 @@
 P 992 584
 e 100 100 70 100
-Q 0
 o davidb
 v S
@@ -265,4 +246,17 @@
 c 158
 
+S T 635
+s 12Apr2019[10:13.47]
+P 476 655
+T DavidPresentation1
+F DavidPresentation1
+o bryce
+v S
+f tr18
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+
 Z
 
@@ -313,8 +307,6 @@
 Z
 
-ActiveTime:00:43:24
-DarkTime:00:20:51
-02:04:343 747 657 Rd
-02:04:353 747 657 Md
-02:08:966 589 543 Ld
-02:09:061 589 543 Lu
+ActiveTime:00:50:53
+DarkTime:02:10:38
+49:34:211 160 555 Ld
+49:34:307 160 555 Lu
Index: trunk/src/org/expeditee/assets/resources-private/framesets/home/2.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-private/framesets/home/2.exp	(revision 1305)
+++ trunk/src/org/expeditee/assets/resources-private/framesets/home/2.exp	(revision 1306)
@@ -1,7 +1,7 @@
-V 54
+V 58
 U davidb
 D 17Nov2015[09:35]
-M davidb
-d 14Apr2016[13:54]
+M authadmin
+d 12Apr2019[12:41]
 Z
 
@@ -10,5 +10,4 @@
 P 45 5
 T @i: expediteeicon128.png 263
-Q 0
 o davidb
 v S
@@ -24,6 +23,5 @@
 P 5 70
 e 100 100 50 100
-Q 0
-R 5.0
+R 5
 o davidb
 v S
@@ -35,8 +33,7 @@
 s 17Nov2015[09:35.54]
 d 70 70 0 100
-P 1903 70
-e 100 100 50 100
-Q 0
-H 5.0
+P 1663 70
+e 100 100 50 100
+H 5
 o davidb
 v S
@@ -49,5 +46,4 @@
 P 317 83
 T Expeditee
-Q 0
 o davidb
 v S
@@ -64,5 +60,4 @@
 T then let Expeditee be the godess of
 T Getting Things Done”
-Q 0
 o davidb
 v S
@@ -78,6 +73,5 @@
 P 5 237
 e 100 100 50 100
-Q 0
-R 5.0
+R 5
 o davidb
 v S
@@ -89,8 +83,7 @@
 s 17Nov2015[09:35.54]
 d 70 70 0 100
-P 1903 237
-e 100 100 50 100
-Q 0
-H 5.0
+P 1663 237
+e 100 100 50 100
+H 5
 o davidb
 v S
@@ -103,5 +96,4 @@
 P 323 286
 T –Rob Akscyn, Inventor of Expeditee
-Q 0
 o davidb
 v S
@@ -117,5 +109,4 @@
 P 46 338
 e 100 100 50 100
-Q 0
 o davidb
 v S
@@ -129,5 +120,4 @@
 P 988 338
 e 100 100 50 100
-Q 0
 o davidb
 v S
@@ -142,5 +132,4 @@
 T Interative-Tutorial
 F tutorialshomenew1
-Q 0
 o davidb
 v S
@@ -157,5 +146,4 @@
 T HELP
 F documentation1
-Q 0
 o davidb
 v S
@@ -172,5 +160,4 @@
 T Apps
 F home2
-Q 0
 o davidb
 v S
@@ -186,5 +173,4 @@
 P 988 447
 e 100 100 50 100
-Q 0
 o davidb
 v S
@@ -198,5 +184,4 @@
 P 46 447
 e 100 100 50 100
-Q 0
 o davidb
 v S
@@ -210,5 +195,4 @@
 P 46 489
 e 100 100 50 100
-Q 0
 o davidb
 v S
@@ -222,5 +206,4 @@
 P 988 489
 e 100 100 50 100
-Q 0
 o davidb
 v S
@@ -235,5 +218,4 @@
 T Pictures
 F mypictures1
-Q 0
 o davidb
 v S
@@ -250,5 +232,4 @@
 T Music
 F mymusic1
-Q 0
 o davidb
 v S
@@ -265,5 +246,4 @@
 T Profile
 X gotoUserSettingsFrame
-Q 0
 o davidb
 v S
@@ -280,5 +260,4 @@
 T Documents
 F mydocuments1
-Q 0
 o davidb
 v S
@@ -294,5 +273,4 @@
 P 46 598
 e 100 100 50 100
-Q 0
 o davidb
 v S
@@ -306,5 +284,4 @@
 P 988 598
 e 100 100 50 100
-Q 0
 o davidb
 v S
@@ -391,5 +368,5 @@
 Z
 
-ActiveTime:00:33:59
-DarkTime:00:20:51
-54:48:641 1440 388 kLeft
+ActiveTime:00:50:52
+DarkTime:01:07:50
+41:53:425 1183 537 kRIGHT_ARROW
Index: trunk/src/org/expeditee/assets/resources-private/framesets/home/3.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-private/framesets/home/3.exp	(revision 1305)
+++ trunk/src/org/expeditee/assets/resources-private/framesets/home/3.exp	(revision 1306)
@@ -1,31 +1,16 @@
-V 39
-U davidb
+V 59
+U authadmin
 D 14Apr2016[13:55]
-M davidb
-d 30Apr2016[21:08]
+M bryce
+d 12Apr2019[12:49]
 Z
-
-S T 113
-s 21Apr2016[12:03.57]
-d 0 0 50 100
-P 579 35
-T @ItemTemplate
-Q 0
-o davidb
-v S
-f Amaranth_r22
-t -1.0
-b 0.0
-m 0.0
-h -1.0
 
 S T 112
 s 21Apr2016[11:32.21]
 d 50 50 50 100
-P 1031 98
+P 930 31
 T @ao:3
 F homeoverlay1
-Q 0
-o davidb
+o authadmin
 v S
 f tr18
@@ -35,64 +20,194 @@
 w 95
 h -1.0
+
+S T 113
+s 21Apr2016[12:03.57]
+d 0 0 50 100
+P 579 35
+T @ItemTemplate
+o authadmin
+v S
+f Amaranth_r22
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+
+S T 214
+s 12Apr2019[09:50.59]
+d 50 50 50 100
+P 759 90
+T @i: mindmap.png 205
+N 90
+o authadmin
+v S
+f tr18
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+p 40
+
+S T 190
+s 12Apr2019[09:47.01]
+P 292 90
+T @i: webbrowser.png 171
+N 90
+o authadmin
+v S
+f tr18
+t -1.0
+b 0.0
+m 0.0
+h 0.0
+p 40
+
+S T 23
+s 14Apr2016[13:56.53]
+d 0 0 50 100
+P 535 191
+T Mind Map
+X startMindmapSession
+N 150
+o authadmin
+v S
+f Amaranth_r42
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+p 41
 
 S T 16
 s 14Apr2016[13:55.40]
 d 0 0 50 100
-P 119 173
+P 27 191
 T Web Browser
 F webbrowser1
-Q 0
-o davidb
-v S
-f Amaranth_r42
-t -1.0
-b 0.0
-m 0.0
-h -1.0
-
-S T 23
-s 14Apr2016[13:56.53]
-d 0 0 50 100
-P 163 258
-T Mind Map
-X startMindmapSession
-Q 0
-o davidb
-v S
-f Amaranth_r42
-t -1.0
-b 0.0
-m 0.0
-h -1.0
+N 150
+o authadmin
+v S
+f Amaranth_r42
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+p 41
+
+S T 270
+s 12Apr2019[09:59.18]
+P 580 290
+T @i: musicstudio.png 102
+N 290
+o authadmin
+v S
+f tr18
+t -1.0
+b 0.0
+m 0.0
+h 0.0
+
+S T 236
+s 12Apr2019[09:55.08]
+P 7 290
+T @i: exploratorysearch.png 166
+N 290
+o authadmin
+v S
+f tr18
+t -1.0
+b 0.0
+m 0.0
+h 0.0
+
+S T 122
+s 28Apr2016[20:15.09]
+d 0 0 50 100
+P 718 391
+T Music Studio
+F musicstudio1
+N 350
+o authadmin
+v S
+f Amaranth_r42
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+p 41
 
 S T 13
 s 14Apr2016[13:55.29]
 d 0 0 50 100
-P 207 343
+P 196 391
 T Exploratory Search
 F exploratorysearch1
-Q 0
-o davidb
-v S
-f Amaranth_r42
-t -1.0
-b 0.0
-m 0.0
-h -1.0
-
-S T 122
-s 28Apr2016[20:15.09]
-d 0 0 50 100
-P 251 426
-T Music Studio
-F musicstudio1
-Q 0
-o davidb
-v S
-f Amaranth_r42
-t -1.0
-b 0.0
-m 0.0
-h -1.0
+N 350
+o authadmin
+v S
+f Amaranth_r42
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+p 41
+
+S T 314
+s 12Apr2019[10:01.45]
+P 262 465
+T @i: multiuser.png 214
+N 465
+o authadmin
+v S
+f tr18
+t -1.0
+b 0.0
+m 0.0
+h 0.0
+
+S T 347
+s 12Apr2019[12:21.51]
+P 764 465
+T @i: encryption.png 127
+N 465
+o authadmin
+v S
+f tr18
+t -1.0
+b 0.0
+m 0.0
+h 0.0
+p 40
+
+S T 342
+s 12Apr2019[12:19.07]
+d 0 0 50 100
+P 522 561
+T Encryption
+N 520
+o authadmin
+v S
+f Amaranth_r42
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+p 41
+
+S T 279
+s 12Apr2019[10:02.02]
+d 0 0 50 100
+P 27 561
+T Multiuser
+F Multiuser1
+N 520
+o authadmin
+v S
+f Amaranth_r42
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+p 41
 
 Z
@@ -102,53 +217,101 @@
 Z
 
-ActiveTime:00:12:11
-DarkTime:00:01:03
-08:32:093 560 442 kL
-08:33:062 566 442 kShift
-08:33:549 566 442 kShift
-08:33:580 566 442 kShift
-08:33:608 566 442 kShift
-08:33:639 566 442 kShift
-08:33:668 566 442 kShift
-08:33:697 566 442 kShift
-08:33:726 566 442 kShift
-08:33:757 566 442 kShift
-08:33:786 566 442 kShift
-08:33:816 566 442 kShift
-08:33:844 566 442 kShift
-08:33:873 566 442 kShift
-08:33:903 566 442 kShift
-08:33:933 566 442 kShift
-08:33:962 566 442 kShift
-08:33:991 566 442 kShift
-08:34:022 566 442 kShift
-08:34:049 566 442 kShift
-08:34:081 566 442 kShift
-08:34:110 566 442 kShift
-08:34:138 566 442 kShift
-08:34:169 566 442 kShift
-08:34:199 566 442 kShift
-08:34:228 566 442 kShift
-08:34:257 566 442 kShift
-08:34:288 566 442 kShift
-08:34:316 566 442 kShift
-08:34:345 566 442 kShift
-08:34:374 566 442 kSemicolon
-08:35:092 573 442 kM
-08:35:367 591 442 kU
-08:35:934 603 442 kS
-08:36:401 612 442 kI
-08:36:551 617 442 kC
-08:37:364 626 442 kS
-08:37:565 635 442 kT
-08:37:808 643 442 kU
-08:38:474 655 442 kD
-08:38:618 667 442 kI
-08:38:644 673 442 kO
-08:38:924 684 442 k1
-08:40:860 612 432 Md
-08:40:947 612 432 Mu
-08:41:467 416 407 Md
-08:41:570 416 407 Mu
-08:42:627 435 416 Ld
-08:42:706 435 416 Lu
+ActiveTime:00:21:50
+DarkTime:00:24:32
+49:35:687 366 533 Ld
+49:35:844 366 533 Rd
+49:36:003 366 533 Lu
+49:36:004 366 533 Ru
+49:38:011 196 125 Md
+49:38:083 196 125 Rd
+49:38:251 196 125 Ru
+49:38:259 196 125 Mu
+49:40:022 342 182 Ld
+49:40:204 342 182 Rd
+49:40:355 342 182 Ru
+49:40:371 342 182 Lu
+49:41:550 174 88 Md
+49:41:700 174 88 Rd
+49:41:827 174 88 Ru
+49:41:828 174 88 Mu
+49:42:798 877 158 Ld
+49:42:893 877 158 Rd
+49:43:051 877 158 Lu
+49:43:052 877 158 Ru
+49:44:387 230 83 Md
+49:44:466 230 83 Rd
+49:44:642 230 83 Ru
+49:44:651 230 83 Mu
+49:45:691 372 518 Ld
+49:45:835 372 518 Rd
+49:46:026 372 518 Ru
+49:46:050 372 518 Lu
+49:47:380 150 43 Md
+49:47:539 150 43 Rd
+49:48:491 150 43 Ru
+49:48:507 150 43 Mu
+49:49:315 812 534 Ld
+49:49:494 812 535 Rd
+49:49:659 812 535 Ru
+49:49:667 812 535 Lu
+49:50:837 175 88 Md
+49:50:867 175 88 Rd
+49:51:059 175 88 Ru
+49:51:059 175 88 Mu
+50:04:763 334 152 Ld
+50:04:861 334 152 Rd
+50:04:987 334 152 Ru
+50:05:003 334 152 Lu
+50:06:228 153 82 Md
+50:06:357 153 82 Rd
+50:06:523 153 82 Ru
+50:06:524 153 82 Mu
+50:09:821 505 55 kF10
+50:11:080 505 55 Ld
+50:11:213 341 104 Rd
+50:11:339 341 104 Ru
+50:11:347 341 104 Lu
+50:12:654 210 57 Md
+50:12:733 210 57 Rd
+50:12:883 210 57 Ru
+50:12:884 210 57 Mu
+50:13:679 131 298 Ld
+50:13:765 131 298 Rd
+50:13:915 131 298 Ru
+50:13:923 131 298 Lu
+50:14:909 175 119 Md
+50:15:069 175 119 Rd
+50:15:387 175 119 Ru
+50:15:443 175 119 Mu
+50:16:702 702 305 Ld
+50:16:822 702 305 Rd
+50:16:963 702 305 Lu
+50:16:971 702 305 Ru
+50:18:212 167 107 Md
+50:18:269 167 107 Rd
+50:18:435 167 107 Ru
+50:18:443 167 107 Mu
+50:21:917 1237 260 kSHIFT
+50:22:285 1237 260 kP
+50:22:558 1249 260 kE
+50:22:611 1259 260 kR
+50:22:789 1267 260 kM
+50:22:876 1285 260 kI
+50:23:092 1291 260 kS
+50:23:254 1300 260 kS
+50:23:380 1309 260 kI
+50:23:451 1314 260 kO
+50:23:491 1326 260 kN
+50:23:659 1338 260 kSHIFT
+50:28:430 1337 252 Md
+50:28:539 1337 252 Mu
+50:31:141 845 102 Md
+50:31:283 845 102 Mu
+50:33:998 901 187 Ld
+50:34:134 901 187 Rd
+50:34:267 901 187 Lu
+50:34:275 901 187 Ru
+50:35:422 1095 174 Md
+50:35:573 1095 174 Rd
+50:35:731 1095 174 Ru
+50:35:787 1095 174 Mu
Index: trunk/src/org/expeditee/assets/resources-private/framesets/home/frame.inf
===================================================================
--- trunk/src/org/expeditee/assets/resources-private/framesets/home/frame.inf	(revision 1305)
+++ trunk/src/org/expeditee/assets/resources-private/framesets/home/frame.inf	(revision 1306)
@@ -1,1 +1,1 @@
-home3
+home5