Index: trunk/src/org/expeditee/assets/resources-public/framesets/multiuser/1.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/multiuser/1.exp	(revision 1264)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/multiuser/1.exp	(revision 1309)
@@ -1,7 +1,7 @@
-V 149
+V 168
 U authadmin
 D 04Jan2019[10:48]
-M authadmin
-d 21Mar2019[12:22]
+M bryce
+d 12Apr2019[16:52]
 B 100 100 39 100
 Z
@@ -18,28 +18,14 @@
 m 0.0
 h 0.0
+p 40
 
 S T 32
 s 04Jan2019[10:51.59]
 d 0 0 0 100
-P 268 71
-T Expeditee Desktop for:
-o authadmin
-v S
-f Metamorphous_r51
-t -1.0
-b 0.0
-m 0.0
-h -1.0
-p 40
-
-S T 117
-s 04Jan2019[11:00.49]
-d 0 0 0 100
-P 267 141
-T authadmin
-D txtUsername
-o authadmin
-v S
-f Amaranth_r40
+P 268 109
+T Expeditee Multiuser Menu
+o authadmin
+v S
+f Metamorphous_r50
 t -1.0
 b 0.0
@@ -52,5 +38,4 @@
 P 268 185
 T “If Aphroditē be the godess of love, then let Expeditee be the godess of Getting Things Done”
-D W300
 o authadmin
 v S
@@ -67,5 +52,4 @@
 P 613 204
 T "Sleek like Aphroditē, Wise like Athēnâ."
-D W300
 o authadmin
 v S
@@ -91,92 +75,107 @@
 p 40
 
-S P 182
-s 04Jan2019[11:04.30]
-d 100 0 0 100
-P 495 272
-e 59 59 100 100
-o Bryce
-v S
+S T 1277
+s 12Apr2019[15:09.02]
+G 100 100 0 100
+P 81 277
+T @i: exit.png 1.28
+x F
+o nobody
+n F
+v S
+f tr25
+t -1.0
+b 0.0
+m 0.0
+M 435
+h 1.0
+p 40
+
+S T 1252
+s 12Apr2019[15:18.50]
+G 100 100 0 100
+P 300 278
+T @i: mail.png 1.28
+x F
+o nobody
+n F
+v S
+f tr25
+t -1.0
+b 0.0
+m 0.0
+M 435
+h 1.0
+p 40
+
+S T 1307
+s 12Apr2019[16:43.10]
+P 537 284
+T @i: managment.png 81
+o nobody
+v S
+f tr18
+t -1.0
+b 0.0
+m 0.0
 h 0.0
-l 186 189
-c 178 181
-
-S P 183
-s 04Jan2019[11:04.30]
-d 100 0 0 100
-P 25 272
-e 59 59 100 100
-o Bryce
-v S
-h 0.0
-l 186 187
-c 178 180
-
-S P 648
-s 18Feb2019[14:25.45]
-d 100 0 0 100
-P 976 272
-e 59 59 100 100
-o Bryce
-v S
-h 0.0
-l 652 655
-c 638 639
-
-S P 649
-s 18Feb2019[14:25.45]
-d 100 0 0 100
-P 506 272
-e 59 59 100 100
-o Bryce
-v S
-h 0.0
-l 652 653
-c 638 640
-
-S T 268
-s 04Jan2019[11:06.56]
-d 0 0 0 100
-P 33 318
-T Account Managment
-o authadmin
-v S
-f Amaranth_r40
-t -1.0
-b 0.0
-m 0.0
-h -1.0
-p 40
-
-S T 642
-s 18Feb2019[14:25.45]
-d 0 0 0 100
-P 514 318
-T Frameset Sharing
-o authadmin
-v S
-f Amaranth_r40
-t -1.0
-b 0.0
-m 0.0
-h -1.0
 p 40
 
 S T 614
 s 14Jan2019[13:48.42]
-G 100 100 0 100
-K 0 0 0 100
-P 41 363
-T                          Switch User
-F authentication1
-x F
-o authadmin
-n F
-v S
-f tr25
-t -1.0
-b 0.0
-m 0.0
-M 435
+d 0 0 0 100
+G 100 100 0 100
+K 0 0 0 100
+P 25 406
+T       Switch User
+X AuthSwitchUser
+x F
+o authadmin
+n F
+v S
+f tr25
+t -1.0
+b 0.0
+m 0.0
+M 200
+h 1.0
+p 41
+
+S T 1124
+s 12Apr2019[15:10.37]
+d 0 0 0 100
+G 100 100 0 100
+K 0 0 0 100
+P 246 406
+T        Check Mail
+X ToggleBay
+x F
+o authadmin
+n F
+v S
+f tr25
+t -1.0
+b 0.0
+m 0.0
+M 200
+h 1.0
+p 41
+
+S T 519
+s 04Jan2019[11:58.32]
+d 0 0 0 100
+G 100 100 0 100
+K 0 0 0 100
+P 469 406
+T   Change Password
+F authentication3
+o authadmin
+n F
+v S
+f tr25
+t -1.0
+b 0.0
+m 0.0
+M 200
 h 1.0
 p 41
@@ -184,8 +183,9 @@
 S T 643
 s 18Feb2019[14:25.45]
-G 100 100 0 100
-K 0 0 0 100
-P 522 363
-T                Hand Out My Credentials
+d 0 0 0 100
+G 100 100 0 100
+K 0 0 0 100
+P 25 452
+T          Log Out
 X AuthLogout
 x F
@@ -197,42 +197,25 @@
 b 0.0
 m 0.0
-M 435
-h 1.0
-p 41
-
-S T 615
-s 25Jan2019[10:36.19]
-G 100 100 0 100
-K 0 0 0 100
-P 41 404
-T                Check My Expeditee Mail
-X MailMode
-x F
-o authadmin
-n F
-v S
-f tr25
-t -1.0
-b 0.0
-m 0.0
-M 435
-h 1.0
-p 41
-
-S T 519
-s 04Jan2019[11:58.32]
-G 100 100 0 100
-K 0 0 0 100
-P 41 445
-T                   Change My Password
-F authentication3
-o authadmin
-n F
-v S
-f tr25
-t -1.0
-b 0.0
-m 0.0
-M 435
+M 200
+h 1.0
+p 41
+
+S T 1219
+s 12Apr2019[15:19.02]
+d 0 0 0 100
+G 100 100 0 100
+K 0 0 0 100
+P 246 452
+T      Make Contact
+X AuthMakeContact
+x F
+o authadmin
+n F
+v S
+f tr25
+t -1.0
+b 0.0
+m 0.0
+M 200
 h 1.0
 p 41
@@ -240,25 +223,27 @@
 S T 595
 s 04Jan2019[12:26.21]
-G 100 100 0 100
-K 0 0 0 100
-P 41 486
-T           I Have Forgotten My Password
-o authadmin
-n F
-v S
-f tr25
-t -1.0
-b 0.0
-m 0.0
-M 435
-h 1.0
-p 41
-
-S T 558
-s 04Jan2019[12:00.52]
-G 100 100 0 100
-K 0 0 0 100
-P 41 527
-T               Setup Password Recovery
+d 0 0 0 100
+G 100 100 0 100
+K 0 0 0 100
+P 469 452
+T   Forgot Password
+o authadmin
+n F
+v S
+f tr25
+t -1.0
+b 0.0
+m 0.0
+M 200
+h 1.0
+p 41
+
+S T 1167
+s 12Apr2019[15:15.03]
+d 0 0 0 100
+G 100 100 0 100
+K 0 0 0 100
+P 246 498
+T Password Recovery
 X AuthSetupPasswordRecovery
 x F
@@ -270,111 +255,30 @@
 b 0.0
 m 0.0
-M 435
-h 1.0
-p 41
-
-S P 184
-s 04Jan2019[11:04.30]
-d 100 0 0 100
-P 25 597
-e 59 59 100 100
-o Bryce
-v S
-h 0.0
-l 187 188
-c 180 179
-
-S P 185
-s 04Jan2019[11:04.30]
-d 100 0 0 100
-P 495 597
-e 59 59 100 100
-o Bryce
-v S
-h 0.0
-l 189 188
-c 181 179
-
-S P 650
-s 18Feb2019[14:25.45]
-d 100 0 0 100
-P 506 597
-e 59 59 100 100
-o Bryce
-v S
-h 0.0
-l 653 654
-c 640 641
-
-S P 651
-s 18Feb2019[14:25.45]
-d 100 0 0 100
-P 976 597
-e 59 59 100 100
-o Bryce
-v S
-h 0.0
-l 655 654
-c 639 641
-
-Z
-
-L 186 1
-s 182 183
-
-L 189 1
-s 185 182
-
-L 187 1
-s 183 184
-
-L 652 1
-s 648 649
-
-L 655 1
-s 651 648
-
-L 653 1
-s 649 650
-
-L 188 1
-s 184 185
-
-L 654 1
-s 650 651
-
-Z
-
-C 178 3
-s 182 183
-
-C 181 2
-s 185 182
-
-C 180 2
-s 183 184
-
-C 638 3
-s 648 649
-
-C 639 2
-s 651 648
-
-C 640 2
-s 649 650
-
-C 179 3
-s 184 185
-
-C 641 3
-s 650 651
-
-Z
-
-ActiveTime:00:54:54
-DarkTime:01:17:57
-24:43:756 739 117 Md
-24:43:875 739 117 Rd
-24:44:065 739 117 Ru
-24:44:113 739 117 Mu
-24:45:891 739 117 kF11
+M 200
+h 1.0
+p 41
+
+Z
+
+Z
+
+Z
+
+ActiveTime:01:36:13
+DarkTime:02:59:19
+52:40:201 520 396 Ld
+52:40:305 520 396 Rd
+52:40:402 523 398 Lu
+52:40:403 523 398 Ru
+52:42:434 744 325 Md
+52:42:563 744 325 Rd
+52:42:745 744 325 Ru
+52:42:785 744 325 Mu
+52:44:802 589 386 Ld
+52:44:882 589 386 Rd
+52:45:065 589 386 Ru
+52:45:088 589 386 Lu
+52:54:009 747 313 Md
+52:54:090 747 313 Rd
+52:54:288 747 313 Ru
+52:54:321 747 313 Mu