Index: /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp
===================================================================
--- /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp	(revision 1310)
+++ /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp	(revision 1311)
@@ -1,8 +1,8 @@
-V 784
+V 788
 p 40
 U authadmin
 D 23Nov2018[12:31]
 M authadmin
-d 11Apr2019[15:38]
+d 15Apr2019[15:11]
 B 100 100 39 100
 Z
@@ -73,5 +73,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 350 288
+P 350 287
 T bln4
 x F
@@ -81,5 +81,5 @@
 n F
 v S
-f Amaranth_r29
+f Amaranth_r28
 t -1.0
 b 0.0
@@ -95,5 +95,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 350 348
+P 350 347
 T 
 x F
@@ -103,5 +103,5 @@
 n F
 v S
-f Amaranth_r29
+f Amaranth_r28
 t -1.0
 O 42
@@ -181,30 +181,8 @@
 Z
 
-ActiveTime:12938229:46:09
-DarkTime:-12933324:00:-18
-37:58:445 974 25 Ld
-37:58:529 974 25 Rd
-37:58:649 974 25 Lu
-37:58:649 974 25 Ru
-37:59:564 791 255 Md
-37:59:579 791 255 Rd
-37:59:739 788 253 Ru
-37:59:739 788 253 Mu
-38:02:412 106 258 Md
-38:02:528 106 258 Rd
-38:02:673 106 258 Ru
-38:02:688 106 258 Mu
-38:04:481 97 295 kF11
-38:07:723 983 61 Md
-38:07:868 983 61 Rd
-38:08:038 983 61 Ru
-38:08:049 983 61 Mu
-38:09:490 946 24 Ld
-38:09:627 946 24 Rd
-38:09:753 946 24 Lu
-38:09:754 946 24 Ru
-38:10:729 733 245 Md
-38:10:736 733 245 Rd
-38:10:921 733 245 Ru
-38:10:922 733 245 Mu
-38:12:369 891 164 kF11
+ActiveTime:13802283:07:22
+DarkTime:-13797066:-21:-5
+11:53:057 89 251 Md
+11:53:179 89 252 Rd
+11:53:568 89 252 Ru
+11:53:633 89 252 Mu
Index: /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp
===================================================================
--- /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp	(revision 1310)
+++ /trunk/src/org/expeditee/assets/resources-public/framesets/authentication/2.exp	(revision 1311)
@@ -1,8 +1,8 @@
-V 244
+V 250
 p 40
 U authadmin
 D 07Dec2018[12:19]
 M authadmin
-d 11Apr2019[11:34]
+d 15Apr2019[15:12]
 B 100 100 39 100
 Z
@@ -88,5 +88,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 175 288
+P 175 287
 T 
 x F
@@ -96,5 +96,5 @@
 n F
 v S
-f Amaranth_r29
+f Amaranth_r28
 t -1.0
 b 0.0
@@ -110,5 +110,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 175 348
+P 175 347
 T 
 x F
@@ -118,5 +118,5 @@
 n F
 v S
-f Amaranth_r29
+f Amaranth_r28
 t -1.0
 O 42
@@ -133,5 +133,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 515 348
+P 515 347
 T 
 x F
@@ -141,5 +141,5 @@
 n F
 v S
-f Amaranth_r29
+f Amaranth_r28
 t -1.0
 O 42
@@ -150,4 +150,26 @@
 p 44
 = Password Again
+
+S T 672
+s 11Feb2019[13:57.12]
+d 0 0 0 100
+G 100 100 100 100
+K 0 0 0 100
+P 515 407
+T 
+x F
+D txtEmailAgain
+N 380
+o authadmin
+n F
+v S
+f Amaranth_r28
+t -1.0
+b 0.0
+m 0.0
+M 300
+h 1.0
+p 44
+= Email Again
 
 S T 671
@@ -156,5 +178,5 @@
 G 100 100 100 100
 K 0 0 0 100
-P 175 408
+P 175 407
 T 
 x F
@@ -164,5 +186,5 @@
 n F
 v S
-f Amaranth_r29
+f Amaranth_r28
 t -1.0
 b 0.0
@@ -172,26 +194,4 @@
 p 44
 = Email
-
-S T 672
-s 11Feb2019[13:57.12]
-d 0 0 0 100
-G 100 100 100 100
-K 0 0 0 100
-P 515 408
-T 
-x F
-D txtEmailAgain
-N 380
-o authadmin
-n F
-v S
-f Amaranth_r29
-t -1.0
-b 0.0
-m 0.0
-M 300
-h 1.0
-p 44
-= Email Again
 
 S T 190
@@ -263,31 +263,9 @@
 Z
 
-ActiveTime:01:10:15
+ActiveTime:01:11:23
 DarkTime:01:31:57
-34:34:688 116 263 Ld
-34:34:815 116 263 Lu
-34:35:899 105 266 Md
-34:35:983 105 266 Rd
-34:36:111 105 266 Ru
-34:36:150 105 266 Mu
-34:38:729 470 453 Md
-34:38:823 470 453 Rd
-34:39:022 470 453 Ru
-34:39:038 470 453 Mu
-34:40:839 459 469 Ld
-34:40:910 459 469 Rd
-34:41:033 459 469 Ru
-34:41:039 459 469 Lu
-34:44:017 585 255 Md
-34:44:128 585 255 Rd
-34:44:230 585 255 Ru
-34:44:254 585 255 Mu
-34:47:223 223 271 Ld
-34:47:343 223 271 Rd
-34:47:470 223 271 Lu
-34:47:487 223 271 Ru
-34:49:807 716 237 Md
-34:49:830 716 237 Rd
-34:50:054 716 237 Ru
-34:50:079 716 237 Mu
-34:50:598 829 339 kLEFT_ARROW
+12:56:260 116 494 Md
+12:56:379 116 498 Rd
+12:56:562 115 501 Ru
+12:56:601 115 501 Mu
+12:57:073 157 494 kLEFT_ARROW